Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Interface AuditInvokeConfigurationEvent

All Superinterfaces:
  AuditConfigurationEvent, AuditContext, AuditEvent

public interface AuditInvokeConfigurationEvent
extends AuditConfigurationEvent

The `AuditInvokeConfigurationEvent` interface is used to post a specific configuration change audit event that identifies that a request has been made to invoke an operation on an existing configuration artifact. This event will indicate if the request was allowed or disallowed. The WebLogic Management infrastructure implements this interface. An Auditing provider can use this interface to get specific information about the configuration audit event.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `INVOKE_EVENT` Unique identifier for the Invoke Configuration Audit Event

Method Summary
`String` | `getMethodName()` Gets the MethodName associated with this `AuditInvokeConfigurationEvent`.
`String` | `getParameters()` Gets the Parameters associated with this `AuditInvokeConfigurationEvent`.

Methods inherited from interface weblogic.security.spi.AuditConfigurationEvent
`getObjectName, getSubject`

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Methods inherited from interface weblogic.security.spi.AuditContext
`getContext`

Field Detail

### INVOKE_EVENT

    public static final String INVOKE_EVENT

  Unique identifier for the Invoke Configuration Audit Event

  See Also:
    Constant Field Values

Method Detail

### getMethodName

    public String getMethodName()

  Gets the MethodName associated with this `AuditInvokeConfigurationEvent`.

  Returns:
    the String representing the MethodName of the MBean operation being invoked by the subject associated with this `AuditInvokeConfigurationEvent`.

### getParameters

    public String getParameters()

  Gets the Parameters associated with this `AuditInvokeConfigurationEvent`.

  Returns:
    the String representing the Parameters of the MBean operation being invoked by the subject associated with this `AuditInvokeConfigurationEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD